# GMM (C) 2018 Stephane Charette <stephanecharette@gmail.com>
# $Id: CMakeLists.txt 2601 2018-09-15 20:40:24Z stephane $

# Get a sorted list of our own source files
FILE ( GLOB GMM_SOURCE *.cpp )
LIST ( SORT GMM_SOURCE )

IF ( WIN32 )
	LIST ( APPEND GMM_SOURCE GMM.rc )
ENDIF ()

ADD_EXECUTABLE ( gmm
			${GUI_TYPE}
			${GMM_SOURCE}
			$<TARGET_OBJECTS:gmm_wnd>
			$<TARGET_OBJECTS:gmm_cfg>
			$<TARGET_OBJECTS:gmm_img>
			$<TARGET_OBJECTS:gmm_log>
			$<TARGET_OBJECTS:gmm_misc>
			)

TARGET_LINK_LIBRARIES ( gmm gmm_juce ${CMAKE_THREAD_LIBS_INIT} ${GMM_LIBRARIES} )

INSTALL ( TARGETS gmm RUNTIME DESTINATION bin )
